index

Varkon MBS Programmers manual

# ascii - Function

## Description

Maps a character to its corresponding integer ASCII value.

## Syntax

      n:=chr(c);

      int    n;
      string c*1;

## Principal parameters

c | - Any character.

## Optional parameters

None.

## Return value

An INT value in the range 0 <= n <= 255.

## Comment

If the argument c is a string variable with size greater than 1, the first character in the string is used.

## Example

10 + ascii("B") evaluates to the integer value of 76 since 66 is the ASCII-code for B.

Varkon version 1.19C svn# 120